Gecode::BElementExpr Class Reference

Boolean element expressions. More...

## Public Member Functions

| BElementExpr (const BoolVarArgs &b, const LinIntExpr &idx)
| Constructor.
virtual | ~BElementExpr (void)
| Destructor.
virtual void | post (Home home, BoolVar b, bool neg, const IntPropLevels &ipls)
| Constrain b to be equivalent to the expression (negated if neg).
Public Member Functions inherited from Gecode::BoolExpr::Misc
| Misc (void)
| Default constructor.
virtual | ~Misc (void)
| Destructor.

## Protected Attributes

BoolExpr * | a
| The Boolean expressions.
int | n
| The number of Boolean expressions.
LinIntExpr | idx
| The linear expression for the index.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Boolean element expressions.

Definition at line 649 of file bool-expr.cpp.

## Constructor & Destructor Documentation

## BElementExpr()

Gecode::BElementExpr::BElementExpr | ( | const BoolVarArgs & | b,
|  | const LinIntExpr & | idx )

Constructor.

Definition at line 667 of file bool-expr.cpp.

## ~BElementExpr()

Gecode::BElementExpr::~BElementExpr | ( | void |  | ) |

virtual

Destructor.

Definition at line 673 of file bool-expr.cpp.

## Member Function Documentation

## post()

void Gecode::BElementExpr::post | ( | Home | home,
|  | BoolVar | b,
|  | bool | neg,
|  | const IntPropLevels & | ipls )

virtual

Constrain b to be equivalent to the expression (negated if neg).

Implements Gecode::BoolExpr::Misc.

Definition at line 678 of file bool-expr.cpp.

## Member Data Documentation

## a

BoolExpr* Gecode::BElementExpr::a

protected

The Boolean expressions.

Definition at line 652 of file bool-expr.cpp.

## n

int Gecode::BElementExpr::n

protected

The number of Boolean expressions.

Definition at line 654 of file bool-expr.cpp.

## idx

LinIntExpr Gecode::BElementExpr::idx

protected

The linear expression for the index.

Definition at line 656 of file bool-expr.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/bool-expr.cpp